Page MenuHomeFreeBSD

CentOS 6.6 base + userland.
ClosedPublic

Authored by xmj on Nov 4 2014, 8:06 PM.

Details

Reviewers
swills
rene
koobs
Group Reviewers
portmgr
emulation
Summary

Port CentOS 6.6 base + userland.

Note, Mk/ changes assume this will end up as default with the import.

Test Plan

Tested skype locally, after buildtesting in poudriere.

Logs can be found at
http://xmj.me/freebsd/buildlogs/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj updated this revision to Diff 2271.Nov 4 2014, 8:06 PM
xmj retitled this revision from to CentOS 6.6 base + userland..
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: emulation, swills, koobs.
swills edited edge metadata.Nov 7 2014, 12:49 PM

Updating and changing default should be done separately.

xmj updated this revision to Diff 2334.Nov 9 2014, 3:13 PM
xmj edited edge metadata.

Revert making c6 default.

Add ports graphics/linux-c6-gdk-pixbuf (dependency of www/linux-opera) and
devel/linux-c6-libsigc++20 (dependency of net-im/skype)

swills added a comment.Nov 9 2014, 3:50 PM

Found a few minor issues which I mentioned on IRC. Looking forward to seeing those fixes, then this should be good.

xmj updated this revision to Diff 2335.Nov 9 2014, 4:05 PM
  • fix skype version
  • fix category makefiles; add the two new ports
  • fix devel/linux-c6-devtools missing binutils in pkg-plist
  • fix security/linux-c6-nss leftovers
swills accepted this revision.Nov 9 2014, 4:18 PM
swills edited edge metadata.

Approved!

This revision is now accepted and ready to land.Nov 9 2014, 4:18 PM
xmj updated this revision to Diff 2337.Nov 10 2014, 10:49 AM
xmj edited edge metadata.
  • add graphics/linux-c6-glx-utils (glxgears and glxinfo)
  • remove a few false references to Fedora
  • pkg-descr voodo
rene added a subscriber: rene.Nov 10 2014, 9:58 PM
  • For bsd.linux-rpm.mk / bsd.sites.mk : It would be nice to replace some hardcoded instances of "6.6" with ${LINUX_DIST_VER} (the comment, the IGNORE message, MASTER_SITES_SUBDIR, MASTER_STE_CENTOS_LINUX). It looks like the MASTER_SITES is now wrong in emulators/linux_base-c6/Makefile (src RPMs) and the definition is duplicated there.
  • devel/linux-c6-devtools/pkg-plist : assuming @dir removals are OK
  • devel/linux-c6-libsigc++20/Makefile : forgotten space between "C++" and "(" in COMMENT
  • emulators/linux-c6/Makefile : why is the NVIDIA option (and the avahi-libs dependency) removed? Did this fully move to graphics/linux-c6-glx-utils/Makefile ?
  • No need to bump PORTREVISION for devel/linux-c6-libpciaccess/Makefile , devel/linux-c6-nspr/Makefile , net/linux-c6-openldap/Makefile , x11-toolkits/linux-c6-gtk2/Makefile
  • Missing PORTREVISION bump for graphics/linux-c6-sdl_image , security/linux-c6-openssl-compat
  • www/linux-c6-flashplugin11/Makefile : this port goes backwards
  • x11/linux-c6-xorg-libs/Makefile : superfluous newline on line 78
rene requested changes to this revision.Nov 10 2014, 9:58 PM
rene added a reviewer: rene.
This revision now requires changes to proceed.Nov 10 2014, 9:58 PM
xmj updated this revision to Diff 2350.Nov 11 2014, 6:50 AM
xmj edited edge metadata.

CRF, many plist fixes.

xmj added a comment.Nov 11 2014, 6:57 AM

plist changes are due to a poudriere bulk -t -r run, which wouldn't otherwise pass.

rene accepted this revision.Nov 11 2014, 11:44 AM
rene edited edge metadata.
This revision is now accepted and ready to land.Nov 11 2014, 11:44 AM
xmj closed this revision.Nov 11 2014, 1:11 PM

Committed revision 372445.